﻿$ErrorActionPreference = 'Stop';
$packageName  = 'lan-speed-test.portable'
$toolsDir     = "$(Split-Path -parent $MyInvocation.MyCommand.Definition)"
$url          = 'http://www.totusoft.com/files/LAN_SpeedTestPortable.zip'
$checksum     = '1F1169FD137DBD48085EFF93D86B0C8CB5F1D440928D56D9B6B7EC9901DB17C0'
$shortcutName = 'LAN Speed Test.lnk'
$portableEXE  = "$toolsDir\LAN_SpeedTestPortable.exe";

$packageArgs = @{
  packageName   = $packageName
  unzipLocation = $toolsDir
  fileType      = 'ZIP' 
  url           = $url
  checksum      = $checksum
  checksumType  = 'sha256'
}

Install-ChocolateyZipPackage @packageArgs
Install-ChocolateyShortcut -shortcutFilePath "$env:Public\Desktop\$shortcutName" -targetPath $portableEXE -WorkingDirectory $toolsDir
Install-ChocolateyShortcut -shortcutFilePath "$env:ProgramData\Microsoft\Windows\Start Menu\Programs\$shortcutName" -targetPath $portableEXE -WorkingDirectory $toolsDir
